import Vue from 'vue';

const defineOptions = (opts) => opts;

const ClientOnly = Vue.extend({
  name: "ClientOnly",
  data() {
    return {
      show: false
    };
  },
  mounted() {
    this.show = true;
  },
  render: function(h) {
    return this.show ? h("div", this.$slots.default) : h("div");
  }
});

export { ClientOnly, defineOptions };
