import { ViteDevServer, Connect, Plugin } from 'vite';

interface PluginOptions {
    name?: string;
    ssr?: string;
    custom?: {
        [key: string]: string;
    };
    serve?: (server: ViteDevServer, options: PluginOptionsInternal) => Connect.NextHandleFunction;
    [key: string]: any;
}
interface PluginOptionsInternal extends PluginOptions {
    name: string;
}

declare const _default: (opt?: PluginOptions) => Plugin;

export { PluginOptions, PluginOptionsInternal, _default as default };
